#
# spec file for package python3-pylzma
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-pylzma
Version:	    0.4.8
Release:	    2.7
Summary:	    Python bindings for the LZMA compression library
Url:		    http://www.joachim-bauch.de/projects/python/pylzma
License:	    LGPL-2.1
Group:		    Development/Languages/Python
Source0:     https://files.pythonhosted.org/packages/source/p/pylzma/pylzma-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python bindings for the LZMA compression library.

%prep
%setup -q -n pylzma-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# %check
# python3 setup.py test

%files
%defattr(-,root,root)
%doc doc/* LICENSE README.md
%{python3_sitearch}

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Aug 11 2015 arun@gmx.de
- update to version 0.4.8:
  * Don't include ".7z" test files in releases.
- changes from version 0.4.7:
  * Determine size of data for different coders correctly (fixes
    [#27]). This is especially important for AES encrypted data which is
    padded to 16 bytes and must to be truncated afterwards.
  * Moved archive testing to common method.
  * Speedup: reduce number if temporary objects.
  * Fixed syntax error with Python 3. Will trigger a warning in Python
    2.3 though.
  * Define variables early in the code block. Fixes compiler errors
    with MSVC as seen in #27.
  * Use long integers where possible to support large archives/streams
    (fixes #3).
  * Support calculating CRC32 of arbitrary length strings.
  * Make sure constants are always long integers.
  * Explicitly align data for AES decrypting.
  * Implement support for archives with encrypted filenames (fixes #4,
    fixes #26).
  * Fixed switching of compressed streams that contain multiple files
    (fixes #17).
  * Improved handling of unknown version ("None").
  * Improve Python3 compatibility (based on #22).
  * Link to GitHub.
  * Bump year in copyright.
  * Show build status.
  * Make sure to stringize "PYLZMA_VERSION" (should fix #23 and #25).
  * Fixed issue with files getting negative _start's.
  * Fixed wrong pathname for including tests.
* Tue Feb  3 2015 toddrme2178@gmail.com
- Update to version 0.4.6
  + No changelog available
- Initial python 3 version.
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 0.4.4
  + No changelog available
- Add Python prefix to spec file and .changes file
- Add a head to spec file
- Others improvements
* Mon Jun  9 2008 poeml@suse.de
- package created (scrounged from Mandriva) (0.3.0)
